export const sizeLegend = (selection, props) => {
  const { 
    sizeScale, 
    spacing, 
    textOffset, 
    numTicks, 
    circleFill
  } = props;
  
const ticks = sizeScale.ticks(numTicks)
	.filter(d => d !== 0)
	.reverse();
  

  const groups = selection.selectAll('g').data(ticks);
  const groupsEnter = groups
  	.enter().append('g')
  		.attr('class', 'tick');
  groupsEnter
    .merge(groups)
      .attr('transform', (d, i) =>
        `translate(0, ${i * spacing})`
      );
  groups.exit().remove();
  
  groupsEnter.append('circle')
    .merge(groups.select('circle'))
      .attr('r', d => sizeScale(d))
      .attr('fill', circleFill);
  
//      .attr('r', d => sizeScale(d))
// or 
//	    .attr('r', d => sizeScale)
  
  groupsEnter.append('text')
    .merge(groups.select('text'))
      .text(d => d)
      .attr('x', d => textOffset + 100)
  		.attr('dy', '0.32em'); //coming from a different code

//       .attr('x', d => sizeScale(d) + textOffset)
// alternate
// 			 .attr('x', d => textOffset)
  
  
}